esphome:
  name: esphome-web-ug-luca
  friendly_name: ESPHome UG Luca
  min_version: 2024.11.0
  name_add_mac_suffix: false

esp32:
  board: esp32dev
  framework:
    type: esp-idf

# Enable logging
logger:

api:
  encryption:
    key: "KesYkgu82isVYLpso+Vs+p6ET4eUoPMPWVINu4U/hkY="

# Allow Over-The-Air updates
ota:
- platform: esphome

#ota:
#  - platform: esphome
#    password: "7f091a0349c95a2cf0cac68c1a6c1350"

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

i2c:
  sda: GPIO22
  scl: GPIO21
  scan: true
  id: bus_a
  #frequency: 50kHz

sensor:
  - platform: scd4x
    #address: 0x62
    update_interval: 10s
    co2:
      name: "CO2"
    temperature:
      name: "Temperature"
    humidity:
      name: "Humidity"

light:
  - platform: esp32_rmt_led_strip
    rgb_order: GRB
    pin: GPIO12
    num_leds: 60
    chipset: ws2812
    name: "Luca LED Streifen"

    effects:
          - random:
              name: "Random"
              transition_length: 2s
              update_interval: 2s
          - pulse:
              name: "Pulse"
              transition_length: 0.5s
              update_interval: 1.5s
              min_brightness: 0%
              max_brightness: 100%
          - addressable_color_wipe:
              name: "Police"
              colors:
                - red: 0%
                  green: 0%
                  blue: 100%
                  num_leds: 60
                  gradient: false
                - red: 100%
                  green: 0%
                  blue: 0%
                  num_leds: 5
              add_led_interval: 50ms
              reverse: false
          - addressable_color_wipe:
              name: "Construction"
              colors:
                - red: 100%
                  green: 100%
                  blue: 100%
                  num_leds: 60
                  gradient: true
                - red: 100%
                  green: 0%
                  blue: 0%
                  num_leds: 5
              add_led_interval: 50ms
              reverse: false
            